Passer au contenu principal
PATCH
Renames an asset type.

Autorisations

X-API-Key
string
header
requis

Your Gorelo API key. See Generate API key. If your data is hosted in Australia, click the base URL at the top of this page and select https://api.aue.gorelo.io.

Paramètres de chemin

assetTypeId
integer<int64>
requis

Asset type to rename, an Id from GET /v1/assets/types.

Corps

The new name.

Request body for renaming an asset type.

Name
string | null

The type's new name, max 100 characters. Required: a name cannot be cleared. Must not be the name of another of the account's asset types.

Exemple:

"Firewall appliance"

Réponse

OK

StatusCode
enum<integer>
Options disponibles:
100,
101,
102,
103,
200,
201,
202,
203,
204,
205,
206,
207,
208,
226,
300,
301,
302,
303,
304,
305,
306,
307,
308,
400,
401,
402,
403,
404,
405,
406,
407,
408,
409,
410,
411,
412,
413,
414,
415,
416,
417,
421,
422,
423,
424,
426,
428,
429,
431,
451,
500,
501,
502,
503,
504,
505,
506,
507,
508,
510,
511
IsSuccess
boolean
Data
object

The identifier of the asset type.

DataContext
object | null
Exemple:

null

Notifications
object[]